Skip to Content
inclamoDocs

Conversation Reporting Events

GET
/api/v1/accounts/{account_id}/conversations/{conversation_id}/reporting_events

Get reporting events for a specific conversation. This endpoint returns events such as first response time, resolution time, and other metrics for the conversation, sorted by creation time in ascending order.

Authorization

headerAuthorizationBearer <token>

Authenticate with Authorization: Bearer <token> using a user API token from Profile Settings. Available in Chatwoot v4.19.0 and later.

Path Parameters

account_id*integer

The numeric ID of the account

conversation_id*integer

The numeric ID of the conversation

Response Body

Success

application/json
  1. response

Array of reporting events for the conversation

[index: integer]?
Example Request
curl -X GET 'https://helpdesk.inclamo.com/api/v1/accounts/0/conversations/0/reporting_events'
Example Response
[  {    "id": 0,    "name": "string",    "value": 0.1,    "value_in_business_hours": 0.1,    "event_start_time": "2019-08-24T14:15:22Z",    "event_end_time": "2019-08-24T14:15:22Z",    "account_id": 0,    "conversation_id": 0,    "inbox_id": 0,    "user_id": 0,    "created_at": "2019-08-24T14:15:22Z",    "updated_at": "2019-08-24T14:15:22Z"  }]